<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="utf-8" />
<script src="../../../js/jquery-2.2.3.min.js"></script>
<script src="../../../js/bootstrap.min.js"></script>
<link rel="stylesheet" href="../../../css/bootstrap.min.css" />
<link href="../../../css/font-awesome.min.css" rel="stylesheet" />
<link rel="stylesheet" href="../../../css/AdminLTE.min.css" />
<link rel="stylesheet" href="../../../css/skins/_all-skins.min.css" />
<link href="../../../css/plugins/responsive.bootstrap.min.css"
	rel="stylesheet" />
</head>

<body>
	<div th:fragment="content">

		<div
			th:replace="fragments/notification_group :: content(idPrefix=${formId})">En esta parte se muestran las notificaciones</div>
			
		<form th:action="@{/cliente/}" method="POST" role="form"
			th:object="${cliente}" enctype="multipart/form-data"
			th:id="${formId}">

			<input type="hidden" th:field="*{id}" />

			<div class="row">
				
				<div class="form-group col-lg-4 col-md-4"
								id="multipartFileContainer">
                   <img src="../../../images/male_user.png"/>
				</div>
								
				<div class="form-group col-lg-8 col-md-8">

					<div class="form-group col-lg-2 col-md-6 required">
						<label for="codigo" th:text="#{cliente.codigo.lbl}"
							class="field-label">Código</label> 
							<input type="text"
							       th:field="*{codigo}" class="form-control" 
							       maxlength="18"
							autofocus="autofocus" />

					</div>
					<div class="form-group col-lg-2 col-md-6">
						<label for="ruc" th:text="#{cliente.ruc.lbl}" 
						class="field-label">RUC</label>
						<input type="text" th:field="*{ruc}" 
						class="form-control"
							maxlength="18" />
					</div>

					<div class="form-group col-lg-4 col-md-6 required">
						<label for="nombre" th:text="#{cliente.nombre.lbl}"
							class="field-label">Nombre</label> 
							<input type="text"
							th:field="*{nombre}" class="form-control" 
							maxlength="100" />
					</div>



					<div class="form-group col-lg-4 col-md-6 required">
						<label for="nombre" th:text="#{cliente.apellido.lbl}"
							class="field-label">Apellido</label> 
							<input type="text"
							th:field="*{apellido}" class="form-control" 
							maxlength="100" />
					</div>

					
					<div class="form-group col-lg-4 col-md-4">
                         <label for="tipoCliente" th:text="#{cliente.tipoCliente.lbl}"
							class="field-label">Tipo Cliente</label> 
						
						<select class="form-control" th:field="*{tipoCliente}">
							<option th:each="x : ${tipoClienteList}"
							        th:value="${x.id}"
							        th:text="${x.nombre}">Bueno</option>
				
						</select>
					</div>

					<div class="form-group col-lg-5 col-md-5">
						<label for="email" th:text="#{cliente.email.lbl}"
							class="field-label">Email</label> 
							<input type="text"
							th:field="*{email}" class="form-control" 
							maxlength="100" />
					</div>


					<div class="form-group col-lg-3 col-md-3">
						<label for="fechaNacimiento" 
								th:text="#{cliente.fechaNacimiento.lbl}">
								Fecha Nacimiento
						</label>
						<div th:replace="fragments/includes :: 
						                    dateField(inputId='fechaNacimiento')">
							
							<input type="text" class="form-control" 
							value="01/01/1970" />
						</div>
					</div>
				</div>
			</div>

			
			<div
				th:replace="abm/ajax_form_buttons :: 
				content(formId=${formId}, controller=${controller})">

				<button class="btn btn-primary">Nuevo</button>
				<button class="btn btn-success">Guardar</button>
            </div>

		</form>

		<script type="text/javascript">
            $(document).ready( function() {

                
                htroot.bindImageToForm("[[${formId}]]", "id", 
                        "[[@{/cliente/image/}]]", "multipartFile");
                
            }); 
		</script>


	</div>

</body>
</html>
